Перейти к содержимому

Nano Banana 2

Интеграция

ID модели nano-banana-2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.",
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Этот запрос: 0,08 $ 80 API-кредитов · ≈ 8,38 ₽ Запустить на этой странице

Получить API-ключ
Google Текст в изображение Вывод в 4Kдо 4K #typography#fast#wide-formats

Быстрая модель изображений Google на базе Gemini: от черновиков 0.5K до 4K, с экстремальными соотношениями сторон и привязкой к веб-данным.

Примеры

Результат · ~19 с
Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through ...

ПромптHyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.

1K0,08 $ · 80 API-кредитов

Промпт от @Strength04_X в X

Сформировать запрос

Элементы управления сгенерированы из схемы модели. Код и цена обновляются при изменении параметров.

•обязательно 1538 / 50000

Текстовые инструкции для генерации изображения.

resolution

Разрешение выходного изображения.

thinking_level

Выберите 'minimal' или 'high', чтобы активировать рассуждения модели на этом уровне и включить их в генерацию; если уровень не задан, рассуждения остаются отключёнными.

по умолчанию auto

Явно выберите соотношение сторон сгенерированного изображения, включая экстремальные варианты 4:1, 1:4, 8:1 и 1:8, либо выберите "auto" для выбора моделью на основе промпта.

num_images по умолчанию 1

Количество изображений, запрошенных для генерации.

Расширенные system_prompt · output_format · safety_tolerance · seed · limit_generations
0 / 50000

Необязательные указания для всего запроса о персоне и стиле выходных данных, передаваемые Gemini как системная инструкция, а совместимым с OpenAI провайдерам — как системное сообщение. При пустом значении эта инструкция не отправляется.

output_format по умолчанию png

Формат файла итогового изображения.

safety_tolerance по умолчанию 4

Задайте допустимость модерации контента: от наименее строгого уровня 6 до наиболее строгого уровня 1, блокирующего большую часть контента.

Начальное значение, инициализирующее генерацию случайных чисел.

POST /run/nano-banana-2?wait=20 стоимость → 0,08 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nano-banana-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.",
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Запустить этот запрос

Ваш ключ хранится в этом браузере: он отправляется только в Doitong API и сохраняется в localStorage только при включении параметра «Запомнить». Получить API-ключ

Создано на Doitong

Публичные работы сообщества Doitong, созданные с помощью Nano Banana 2. Повторно используйте промпт одним нажатием.

Показано публичных работ: 16
Art style: Cinematic Realistic. Интерьер роскошного банкетного зала в загородном особняке, заполн...

Art style: Cinematic Realistic. Интерьер роскошного банкетного зала в загородном особняке, заполненного нарядными гостями. Повсюду видны хрустальные бокалы с шампанским. Освещение яркое, с динамичными вспышками света, создающими атмосферу праздника. В центре композиции — Стася (желтые волосы и...

Art style: Cinematic Realistic. Макросъемка ладони Стаси, скрытой за ее спиной, в которой она сжи...

Art style: Cinematic Realistic. Макросъемка ладони Стаси, скрытой за ее спиной, в которой она сжимает современный смартфон. Экран телефона ярко вспыхивает в полумраке, отображая текстовое сообщение от неизвестного номера. Текст сообщения четкий и контрастный на темном фоне дисплея. На заднем...

Art style: Cinematic Realistic. A clearly recognizable likeness of Подруга — keep their real face...

Art style: Cinematic Realistic. A clearly recognizable likeness of Подруга — keep their real face shape, skin tone, hairstyle, build and any signature look (hair, kit, number). Девушка модельной внешности с ярким макияжем и ослепительной улыбкой. У нее платиновые волосы, собранные в высокий...

Art style: 3D Pixar. Luna abriendo la última carta con dedos temblorosos, una flor seca cayendo d...

Art style: 3D Pixar. Luna abriendo la última carta con dedos temblorosos, una flor seca cayendo de su interior, expresión de asombro en su rostro, pétalos y cartas alrededor, composición vertical con ángulo medio, luz suave dorada iluminando la carta y la flor, atmósfera reveladora...

Art style: 3D Pixar. Salón con una luz suave y difusa. Él está de pie junto a Ella, ofreciéndole ...

Art style: 3D Pixar. Salón con una luz suave y difusa. Él está de pie junto a Ella, ofreciéndole una taza de café en un gesto de atención inusual. Ella está sentada, mirando hacia el frente sin tomar la taza, con una distancia emocional evidente. Los colores son ocres y apagados. El teléfono de...

Art style: 3D Pixar. Горизонтальний крупний план нижньої частини дверей та порога. Чітко видно ви...

Art style: 3D Pixar. Горизонтальний крупний план нижньої частини дверей та порога. Чітко видно випадаючий з нижньої частини дверей ущільнювач, типу гільотина,. Підлога вкрита м'яким ковроліном нейтрального кольору. Світло відбивається від латунних деталей фурнітури. Атмосфера спокою та...

Art style: Cinematográfico realista. Marcos de rodillas frente a Elena, suplicando. Elena lo mira...

Art style: Cinematográfico realista. Marcos de rodillas frente a Elena, suplicando. Elena lo mira con compasión pero sin amor. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering directive — it overrides any style wording elsewhere in the prompt):...

Art style: Cinematic Realistic. Крупный план мужской руки в черном рукаве смокинга, грубо и сильн...

Art style: Cinematic Realistic. Крупный план мужской руки в черном рукаве смокинга, грубо и сильно сжимающей тонкое женское запястье. На фоне видна часть лица Артура с неестественной, застывшей улыбкой, адресованной гостям. Кожа на запястье Стаси бледнеет от давления. Освещение становится более...

О Nano Banana 2

Более быстрый и доступный аналог Nano Banana Pro, который хорошо работает с текстом на изображениях и сценами с несколькими объектами. Результат — от превью 0.5K до 4K, с соотношениями сторон от 1:8 до 8:1 для баннеров и вертикальных историй. Необязательный веб-поиск привязывает изображение к актуальным фактам, а необязательный высокий уровень рассуждений планирует сложные компоновки перед отрисовкой. До четырёх изображений на запрос.

Параметры

Передавайте либо каноническое имя, либо исходное имя, но не оба. Канонические имена

ИмяТип По умолчаниюДопустимые значения Описание
promptобязательно
Типstring
≤ 50 000 символов≥ 3 символа
Текстовые инструкции для генерации изображения.
num_imagesнеобязательно num_outputs
Типinteger
По умолчанию1
1 – 4
Количество изображений, запрошенных для генерации.
seedнеобязательно
Типinteger | null
Начальное значение, инициализирующее генерацию случайных чисел.
aspect_ratioнеобязательно
Типenum
По умолчаниюauto
auto21:916:93:24:35:41:14:53:42:39:164:11:48:11:8
Явно выберите соотношение сторон сгенерированного изображения, включая экстремальные варианты 4:1, 1:4, 8:1 и 1:8, либо выберите "auto" для выбора моделью на основе промпта.
output_formatнеобязательно
Типenum
По умолчаниюpng
jpegpngwebp
Формат файла итогового изображения.
safety_toleranceнеобязательно
Типenum
По умолчанию4
123456
Задайте допустимость модерации контента: от наименее строгого уровня 6 до наиболее строгого уровня 1, блокирующего большую часть контента.
system_promptнеобязательно
Типstring
По умолчанию
≤ 50 000 символов
Необязательные указания для всего запроса о персоне и стиле выходных данных, передаваемые Gemini как системная инструкция, а совместимым с OpenAI провайдерам — как системное сообщение. При пустом значении эта инструкция не отправляется.
resolutionнеобязательно
Типenum
По умолчанию1K
0.5K1K2K4K
Разрешение выходного изображения.
limit_generationsнеобязательно
Типboolean
По умолчаниюtrue
Экспериментальное ограничение генерации, которое при включении может влиять на качество. При `True` каждый раунд промптинга ограничен 1 генерацией, указания о количестве изображений в промпте переопределяются, а промежуточные изображения модели игнорируются.
thinking_levelнеобязательно
Типenum
minimalhigh
Выберите 'minimal' или 'high', чтобы активировать рассуждения модели на этом уровне и включить их в генерацию; если уровень не задан, рассуждения остаются отключёнными.
обязательно Каноническое имя, также принимается

Результат

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nano-banana-2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A cozy bookshop window at night with a hand-painted sign reading \"Open Late\", warm light, rain on the glass",
    "aspect_ratio": "4:5",
    "resolution": "1K"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ваши файлы — ваш выборКаждый URL из outputs[].url — это копия в нашем хранилище: она хранится навсегда (оплата за ГБ в месяц) или 7 дней бесплатно — в зависимости от настройки вашего аккаунта или параметра ?storage=.
Одинаковая структура у каждой моделиtype, url, content_type, width, height и duration — одинаково для изображений, видео и аудио. output — собственный объект результата модели.
Поля результата
images
array of object {url, content_type, file_name, file_size, width, height}Изображения, созданные моделью.
description
stringОписание, сопровождающее сгенерированные изображения.

Другие модели: Текст в изображение

Для AI-агентов: эта страница в формате Markdown доступна по адресу https://doitong.com/ru/developers/models/nano-banana-2.md. Все модели и руководства: https://doitong.com/developers/llms.txt